Loading...
Searching...
No Matches
device.h File Reference
Core API » Device

pipewire/device.h More...

Go to the source code of this file.

## Data Structures

struct | pw_device_info
| The device information. More...
struct | pw_device_events
| Device events. More...
struct | pw_device_methods
| Device methods. More...

## Macros

#define | PW_TYPE_INTERFACE_Device PW_TYPE_INFO_INTERFACE_BASE "Device"
#define | PW_DEVICE_PERM_MASK PW_PERM_RWXM
#define | PW_VERSION_DEVICE 3
#define | PW_API_DEVICE_IMPL static inline
#define | PW_DEVICE_CHANGE_MASK_PROPS (1 << 0)
#define | PW_DEVICE_CHANGE_MASK_PARAMS (1 << 1)
#define | PW_DEVICE_CHANGE_MASK_ALL ((1 << 2)-1)
#define | PW_DEVICE_EVENT_INFO 0
#define | PW_DEVICE_EVENT_PARAM 1
#define | PW_DEVICE_EVENT_NUM 2
#define | PW_VERSION_DEVICE_EVENTS 0
#define | PW_DEVICE_METHOD_ADD_LISTENER 0
#define | PW_DEVICE_METHOD_SUBSCRIBE_PARAMS 1
#define | PW_DEVICE_METHOD_ENUM_PARAMS 2
#define | PW_DEVICE_METHOD_SET_PARAM 3
#define | PW_DEVICE_METHOD_NUM 4
#define | PW_VERSION_DEVICE_METHODS 0

## Functions

struct pw_device_info * | pw_device_info_update (struct pw_device_info *info, const struct pw_device_info *update)
| Update and existing pw_device_info with update and reset.
struct pw_device_info * | pw_device_info_merge (struct pw_device_info *info, const struct pw_device_info *update, bool reset)
| Merge and existing pw_device_info with update.
void | pw_device_info_free (struct pw_device_info *info)
| Free a pw_device_info.
PW_API_DEVICE_IMPL int | pw_device_add_listener (struct pw_device *object, struct spa_hook *listener, const struct pw_device_events *events, void *data)
PW_API_DEVICE_IMPL int | pw_device_subscribe_params (struct pw_device *object, uint32_t *ids, uint32_t n_ids)
| Subscribe to parameter changes.
PW_API_DEVICE_IMPL int | pw_device_enum_params (struct pw_device *object, int seq, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)
| Enumerate device parameters.
PW_API_DEVICE_IMPL int | pw_device_set_param (struct pw_device *object, uint32_t id, uint32_t flags, const struct spa_pod *param)
| Set a parameter on the device.

## Detailed Description

pipewire/device.h